% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cluster_tmap.R
\name{calcBinDist}
\alias{calcBinDist}
\title{Calculate distance between bins using various weighting schema.}
\usage{
calcBinDist(tmap, markerWt = "none", mapWt = 0)
}
\arguments{
\item{tmap}{the tmap object, with binInfo data}

\item{markerWt}{Define how to weight individual markers. Can either be a numeric
vector of the same length as the columns in tmap$markerVals, a
named vector indicating the weights of specific markers, or
"SD" (default) to calculate weights relative to the standard 
deviation of each parameter within each bin (see details).}

\item{mapWt}{value between 0 and 1 indicating the contribution of distances 
between points in the 2-dimensional map to the total distance.
A value of 1 implies that distances are calculated based on only 
the 2-dimensional map, whereas a value of 0 means only the original
n-dimensional map is used.}
}
\description{
Calculate distance between bins using various weighting schema.
}

