% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_tmap.R
\name{plotGroups}
\alias{plotGroups}
\alias{plotGroups.default}
\alias{plotGroups.formula}
\title{Group density plots}
\usage{
plotGroups(x, ...)

\method{plotGroups}{formula}(formula, data, tmap, ...)

\method{plotGroups}{default}(tmap, grp.info, grps = NULL, mfrow = NULL,
  pctile.trim = NULL, pctMax = NULL, highlight.clusters = NULL,
  greyScale = 0.2, addEdges = !is.null(tmap$binInfo),
  edgeCol = "#00000044", lwd = 3, rasterize = (names(dev.cur()) == "pdf"),
  ...)
}
\arguments{
\item{formula}{an object of class "\code{\link[stats]{formula}}" (or one that can 
be coerced to that class): a symbolic description of which fields 
to use to group the data in tmap.}

\item{data}{data frame containing grouping information for samples}

\item{tmap}{The tmap object containing a tSNE.map}

\item{grp.info}{data frame with two columns, OR a named vector; a description of 
the sample grouping in tmap. The first column (or the names of the 
vector) is a list of filenames that match the values in 
\code{tmap$sourceFile}, and the second column (or values in the 
vector) is the group membership of that file.}

\item{grps}{vector indicating which groups to plot. The groups defined in 
grp.info will be plotted based on the order in gropus, with NA 
values being treated as blank plots.}

\item{mfrow}{vector of length 2, to be passed on to par. Determines number of 
rows/columns to include in each plot. If not supplied, an 
appropriate mfrow will be determined automatically.}

\item{highlight.clusters}{vector; a list of clusters to specifically highlight when
plotting. Clusters not included in this list will be greyed out.}

\item{greyScale}{numeric; a value between 0 and 1. If highlight.clusters is defined, 
this parameter is used to tune how much the non-highlighted 
clusters are greyed out. 1 is no greying, 0 is completely white. 
Default is 0.2.}

\item{addEdges}{boolean; if true, the cluster edges will be outlined}

\item{edgeCol}{the color of the cluster edges.}

\item{lwd}{the line width of the cluster edges.}

\item{rasterize}{boolean; should the image be rasterized (converted to png before 
plotting)? Useful to reduce file size when plotting to pdf 
(or other vector-based device).}

\item{xbins}{number of bins that divide the x axis. See hexplot for details}
}
\description{
Generate averaged plots for groups of samples
}

